@font-face {
    font-family: "mrs eaves xl";
    src: url('/fonts/mrseavesxlsernarb-020415006EmigreWebOnly.woff2') format('woff2'),
         url('/fonts/mrseavesxlsernarb-020415006EmigreWebOnly.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

html, body, div {
  margin: 0;
  padding: 0;
}

svg { width: 2em; height: 2em; }

body.animating {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

.site-body {
  font-family: "mrs eaves xl";
  font-weight: normal;
  font-size: 2.4em;
  color: rgb(12, 75, 121);
  width: 100%;
  overflow-x: hidden;
  background-color: #f0f0f0;
}

@media (max-width: 850px) {
  .site-body { font-size: 2em; }
}

@media (min-width: 1100px) {
  .site-body { font-size: 2.8em; }
}

.sliding-site-section {
  position: absolute;
  top: 0;
  left: 0;
  margin: 0 auto;
  width: 100%;
  min-height: 100vh;
  transition: .5s transform cubic-bezier(1, 0, 0, 1);
  overflow-x: hidden;
  box-sizing: border-box;
}

.sliding-site-section {
  height: 100vh;
  overflow: hidden;
}

.sliding-site-section.first .content-container { height: 100%; }

.sliding-site-section:not(.showing) {
  transform: translateX(100vw);
}

body.animating .sliding-site-section:not(.showing) {
  transform: translateX(-100vw);
}

body:not(.animating) .sliding-site-section:not(.showing) {
  overflow: hidden;
  height: 0;
  min-height: 0;
}

.sliding-site-section.showing {
  transform: translateX(0);
  overflow: visible;
}

.content-container {
  width: 80%;
  max-width: 900px;
  margin: 0 auto;
  padding-top: 1rem;
}

.content-container.wide {
  width: 100%;
  max-width: none;
  padding: 1rem 1.5rem;
  box-sizing: border-box;
}

.content-container.images {
  max-width: 1000px;
}

.content-container, .image-batch {
  display: flex;
  flex-direction: column;
  min-height: 1px;
}

@media (max-width: 600px) {
  .content-container { width: 90%; }
}

@media (max-width: 600px) {
  .content-container.wide { padding: .75rem 1rem; }
}

.text-link {
  text-decoration: none;
  color: rgb(0, 194, 243);
  cursor: pointer;
}

.logo {
  position: absolute;
  font-size: 0.75em;
  left: 1.5rem;
  top: 1rem;
}

.toggle-buttons {
  position: absolute;
  top: .75rem;
  right: 0.75rem;
  cursor: pointer;
  transition: .5s opacity cubic-bezier(1, 0, 0, 1);
  display: flex;
  gap: 0.5rem;
  color: rgb(0, 194, 243);
  visibility: hidden;
  font-size: .9rem;
  align-items: center;
}

.toggle-buttons.showing {
  visibility: visible;
}

.toggle-button-sub-menu {
  border: 1px solid rgb(0, 194, 243);
  background-color: #f0f0f0;
  padding: 1rem;
  position: absolute;
  right: 0;
  top: calc(100%);
  width: 160px;
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
  visibility: hidden;
}

.toggle-button-sub-menu.showing {
  visibility: visible;
}

.toggle-button:hover, .toggle-button-text:hover {
  color: rgb(66, 209, 245);
  cursor: pointer;
}

.toggle-button svg {
  width: 1.25em;
  height: .75em;
  display: block;
  overflow: hidden;
}

body:not(.animating) .toggle-button {
  transform: translateY(-100vh);
}

body .toggle-button.showing {
  opacity: 1;
  transform: translateY(0);
}

.toggle-button.portfolio  {
  right: .75rem;
}

.toggle-button.back {
  color: rgb(0, 194, 243);
  position: absolute;
  left: 0rem;
  top: 0rem;
  padding: 1rem;
}

.toggle-button.left .toggle-button-text {
  display: flex;
  align-items: center;
  font-size: 15px;
}

.big-image {
  width: 100%;
  min-height: 1px;
  margin-top: 4rem;
}

.big-image.is-tall {
  width: 70%;
  align-self: center;
}

.big-image.with-shadow {
  filter: drop-shadow(5px 5px 50px rgba(0, 0, 0, 0.1));
}

.big-image.pretty {
  filter: drop-shadow(5px 5px 50px rgba(0, 0, 0, 0.1));
  border-radius: 4px;
}

.caption {
  color: #929292;
  margin-top: .5em;
  text-align: center;
  font-size: .8rem;
  min-width: 300px;
}

.caption.center {
  width: 100%;
  text-align: center;
}

.text-block.intro {
  font-size: 0.75em;
  margin: 2rem 0 0 0;
  width: 60%;
  max-width: 625px;
  z-index: 1;
  position: relative;
}

@media (max-width: 600px) {
  .text-block.intro {
    width: 80%;
    font-size: 1.7rem;
  }
}

.process-images {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin-top: 2em;
  min-height: 1px;
}

.process-image {
  margin: 0;
}

@media (min-width: 600px) {
  .process-images {
    width: 120%;
    margin-left: -10%;
    flex-direction: row;
  }

  .process-image {
    width: 50%;
  }
}

.image-batch {
  transition: .5s opacity;
  opacity: 0;
}

.image-batch.loaded {
  opacity: 1;
}

.canvas {
  width: 90%;
  height: 90%;
  -webkit-tap-highlight-color: transparent;
  align-self: center;
  cursor: pointer;
  transition: 1s opacity;
  margin-top: -3.5rem;
}

.canvas-control {
  position: absolute;
  bottom: 1em;
  right: 1em;
  text-align: right;
  font-size: 1rem;
  cursor: pointer;
  line-height: .7rem;
  transition: 1s opacity;
}

.canvas-control-helper-text {
  color: rgb(0, 194, 243);
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.canvas-control-helper-text svg {
  display: inline-block;
  width: 1.2em;
  margin-right: .1em;
}

body:not(.sketch-loaded) .canvas-control, body:not(.sketch-loaded) .canvas {
  opacity: 0;
  transform: translateX(-100%);
}

.small-text { font-size: .75em; }

.inline-block { display: inline-block; }

.margin-top { margin-top: 1em; }

.email { word-break: break-all; }

div.content-container.case-study {
  max-width: 800px;
  margin: 0 auto;
}

.case-study h2 {
  font-size: 2rem;
  margin-bottom: 0.5rem;
}

.case-study h3 {
  font-size: 1.5rem;
  margin-bottom: 0.5rem;
}

.case-study p, .case-study li {
  font-size: 1.2rem;
}

.case-study ul {
  margin: 0.5rem 0;
}

.case-study .pline {
  font-size: 1.2rem;
  margin: 0.25rem 0;
}

.case-study .big-image {
    width: 100%;
    min-height: 1px;
    margin-top: 4rem;
}

.case-study .caption {
  font-size: 1rem;
  margin-top: 0.5rem;
  color: #929292;
}

.svg-text {
  margin-top: 4rem;
}
